using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Adaptation
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples36_38.UseToObservable();
            Examples36_38.UseMyToObservable();
            Examples36_38.UseToEnumerable();

            Examples39_40.WrapEvent();
            Examples39_40.WrapEventUsingDelegates();

            Example41.UseAsyncWrapper();
            Example42.UseAsyncWrapper();
        }
    }
}
